package com.funambol.blackberry.ui.rim;

import com.funambol.blackberry.controller.ControllerDataFactory;
import com.funambol.blackberry.ui.AboutScreen;
import com.funambol.blackberry.ui.ConfigurationScreen;
import com.funambol.blackberry.ui.DisplayManager;
import com.funambol.blackberry.ui.HelpScreen;
import com.funambol.blackberry.ui.HomeScreen;
import com.funambol.blackberry.ui.LoginScreen;

public class RimControllerDataFactory extends ControllerDataFactory {

    public RimControllerDataFactory() {
    }

    public HomeScreen getHomeScreen() {
        return new RimHomeScreen();
    }

    public AboutScreen getAboutScreen() {
        return new RimAboutScreen(controller);
    }

    public ConfigurationScreen getConfigurationScreen() {
        return new RimConfigurationScreen(controller);
    }

    public HelpScreen getHelpScreen() {
        return new RimHelpScreen(controller);
    }

    public LoginScreen getLoginScreen() {
        return new RimLoginScreen(controller);
    }

    public DisplayManager getDisplayManager() {
        return new RimDisplayManager();
    }

}
