package com.funambol.blackberry.controller;

import com.funambol.blackberry.ui.AboutScreen;
import com.funambol.blackberry.ui.ConfigurationScreen;
import com.funambol.blackberry.ui.DisplayManager;
import com.funambol.blackberry.ui.HelpScreen;
import com.funambol.blackberry.ui.HomeScreen;
import com.funambol.blackberry.ui.LoginScreen;

abstract public class ControllerDataFactory {

    protected Controller controller;

    public void setController(Controller controller) {
        this.controller = controller;
    }

    abstract public HomeScreen getHomeScreen();

    abstract public AboutScreen getAboutScreen();

    abstract public ConfigurationScreen getConfigurationScreen();

    abstract public HelpScreen getHelpScreen();

    abstract public LoginScreen getLoginScreen();

    abstract public DisplayManager getDisplayManager();

}
